Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charva.awt.event
Class AWTEvent

    java.lang.Object
      java.util.EventObject
          charva.awt.event.AWTEvent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ActionEvent, AdjustmentEvent, FocusEvent, GarbageCollectionEvent, InputEvent, InvocationEvent, ItemEvent, PaintEvent, ScrollEvent, SyncEvent, WindowEvent

public abstract class AWTEvent
extends java.util.EventObject

This is the base class for all the CHARVA user-interface events. It encapsulates information about the event.

See Also:
  Serialized Form

Field Summary
`static int` | `ACTION_PERFORMED`
`static int` | `ADJUSTMENT_EVENT`
`static int` | `FOCUS_GAINED`
`static int` | `FOCUS_LOST`
`static int` | `GARBAGE_COLLECTION`
`static int` | `INVOCATION_EVENT`
`static int` | `ITEM_STATE_CHANGED`
`static int` | `KEY_PRESSED` We may define other event types later.
`static int` | `KEY_TYPED`
`static int` | `LIST_SELECTION`
`static int` | `MOUSE_EVENT`
`static int` | `PAINT_EVENT`
`static int` | `RESERVED_ID_MAX` Users can define their own events as long as the ID is greater than RESERVED_ID_MAX.
`static int` | `SCROLL_EVENT`
`static int` | `SYNC_EVENT`
`static int` | `WINDOW_CLOSING`
`static int` | `WINDOW_OPENED`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AWTEvent(java.lang.Object source_, int id_)` Construct an event with the specified source and ID.

Method Summary
`int` | `getID()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KEY_PRESSED

    public static final int KEY_PRESSED

  We may define other event types later.

  See Also:
    Constant Field Values

### KEY_TYPED

    public static final int KEY_TYPED

See Also:
  Constant Field Values

### WINDOW_CLOSING

    public static final int WINDOW_CLOSING

See Also:
  Constant Field Values

### WINDOW_OPENED

    public static final int WINDOW_OPENED

See Also:
  Constant Field Values

### ACTION_PERFORMED

    public static final int ACTION_PERFORMED

See Also:
  Constant Field Values

### FOCUS_LOST

    public static final int FOCUS_LOST

See Also:
  Constant Field Values

### FOCUS_GAINED

    public static final int FOCUS_GAINED

See Also:
  Constant Field Values

### ITEM_STATE_CHANGED

    public static final int ITEM_STATE_CHANGED

See Also:
  Constant Field Values

### PAINT_EVENT

    public static final int PAINT_EVENT

See Also:
  Constant Field Values

### SYNC_EVENT

    public static final int SYNC_EVENT

See Also:
  Constant Field Values

### ADJUSTMENT_EVENT

    public static final int ADJUSTMENT_EVENT

See Also:
  Constant Field Values

### SCROLL_EVENT

    public static final int SCROLL_EVENT

See Also:
  Constant Field Values

### LIST_SELECTION

    public static final int LIST_SELECTION

See Also:
  Constant Field Values

### GARBAGE_COLLECTION

    public static final int GARBAGE_COLLECTION

See Also:
  Constant Field Values

### INVOCATION_EVENT

    public static final int INVOCATION_EVENT

See Also:
  Constant Field Values

### MOUSE_EVENT

    public static final int MOUSE_EVENT

See Also:
  Constant Field Values

### RESERVED_ID_MAX

    public static final int RESERVED_ID_MAX

  Users can define their own events as long as the ID is greater than RESERVED_ID_MAX.

  See Also:
    Constant Field Values

Constructor Detail

### AWTEvent

    public AWTEvent(java.lang.Object source_,
                    int id_)

  Construct an event with the specified source and ID.

Parameters:
  `source_` - The component that emitted this event.
  `id_` - Identifies the event type.

Method Detail

### getID

    public int getID()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD